Crash during upgrade to CentOS 7.4

General support questions
johnas
Posts: 5
Joined: 2017/10/16 09:05:27

Crash during upgrade to CentOS 7.4

Postby johnas » 2017/10/16 09:31:52

Hi,

I was upgrading CentOS 7.3 to CentOS 7.4 and the system crashed during updating package "microcode_ctl-2.1-22.el7.x86_64". Just suddenly got "Connection closed by foreign host":

Code: Select all

Running transaction
  Updating   : libgcc-4.8.5-16.el7.x86_64                                                                                                                                              1/680
  Installing : 1:grub2-common-2.02-0.64.el7.centos.noarch                                                                                                                              2/680
  Updating   : centos-release-7-4.1708.el7.centos.x86_64                                                                                                                               3/680
  Updating   : 32:bind-license-9.9.4-51.el7.noarch                                                                                                                                     4/680
  Installing : 1:grub2-pc-modules-2.02-0.64.el7.centos.noarch                                                                                                                          5/680
  Updating   : gcc-base-debuginfo-4.8.5-16.el7.x86_64                                                                                                                                  6/680
  Updating   : libX11-common-1.6.5-1.el7.noarch                                                                                                                                        7/680
  Updating   : xorg-x11-proto-devel-7.7-20.el7.noarch                                                                                                                                  8/680
  Updating   : 2:vim-filesystem-7.4.160-2.el7.x86_64                                                                                                                                   9/680
  Updating   : kernel-headers-3.10.0-693.2.2.el7.x86_64                                                                                                                               10/680
  Updating   : linux-firmware-20170606-56.gitc990aae.el7.noarch                                                                                                                       11/680
  Updating   : 1:emacs-filesystem-24.3-20.el7_4.noarch                                                                                                                                12/680
  Updating   : gettext-common-devel-0.19.8.1-2.el7.noarch                                                                                                                             13/680
  Updating   : kbd-legacy-1.15.5-13.el7.noarch                                                                                                                                        14/680
  Updating   : glibc-debuginfo-common-2.17-196.el7.x86_64                                                                                                                             15/680
  Updating   : libreport-filesystem-2.1.11-38.el7.centos.x86_64                                                                                                                       16/680
  Updating   : ncurses-base-5.9-14.20130511.el7_4.noarch                                                                                                                              17/680
  Updating   : bash-4.2.46-29.el7_4.x86_64                                                                                                                                            18/680
  Updating   : glibc-common-2.17-196.el7.x86_64                                                                                                                                       19/680
  Updating   : nss-softokn-freebl-3.28.3-8.el7_4.x86_64                                                                                                                               20/680
  Updating   : glibc-2.17-196.el7.x86_64                                                                                                                                              21/680
warning: /etc/nsswitch.conf created as /etc/nsswitch.conf.rpmnew
  Updating   : libstdc++-4.8.5-16.el7.x86_64                                                                                                                                          22/680
  Updating   : ncurses-libs-5.9-14.20130511.el7_4.x86_64                                                                                                                              23/680
  Updating   : pcre-8.32-17.el7.x86_64                                                                                                                                                24/680
  Updating   : libselinux-2.5-11.el7.x86_64                                                                                                                                           25/680
  Updating   : libcom_err-1.42.9-10.el7.x86_64                                                                                                                                        26/680
  Updating   : libdb-5.3.21-20.el7.x86_64                                                                                                                                             27/680
  Updating   : libcap-2.22-9.el7.x86_64                                                                                                                                               28/680
  Updating   : elfutils-libelf-0.168-8.el7.x86_64                                                                                                                                     29/680
  Updating   : chkconfig-1.7.4-1.el7.x86_64                                                                                                                                           30/680
  Updating   : freetype-2.4.11-15.el7.x86_64                                                                                                                                          31/680
  Updating   : nss-util-3.28.4-3.el7.x86_64                                                                                                                                           32/680
  Updating   : audit-libs-2.7.6-3.el7.x86_64                                                                                                                                          33/680
  Updating   : grep-2.20-3.el7.x86_64                                                                                                                                                 34/680
  Updating   : readline-6.2-10.el7.x86_64                                                                                                                                             35/680
  Updating   : libuuid-2.23.2-43.el7.x86_64                                                                                                                                           36/680
  Updating   : libblkid-2.23.2-43.el7.x86_64                                                                                                                                          37/680
  Updating   : libtalloc-2.1.9-1.el7.x86_64                                                                                                                                           38/680
  Updating   : fontconfig-2.10.95-11.el7.x86_64                                                                                                                                       39/680
  Updating   : libtevent-0.9.31-1.el7.x86_64                                                                                                                                          40/680
  Updating   : libgcrypt-1.5.3-14.el7.x86_64                                                                                                                                          41/680
  Updating   : 1:gmp-6.0.0-15.el7.x86_64                                                                                                                                              42/680
  Updating   : libtdb-1.3.12-2.el7.x86_64                                                                                                                                             43/680
  Updating   : libxcb-1.12-1.el7.x86_64                                                                                                                                               44/680
  Updating   : libX11-1.6.5-1.el7.x86_64                                                                                                                                              45/680
  Updating   : libXrender-0.9.10-1.el7.x86_64                                                                                                                                         46/680
  Updating   : cpio-2.11-25.el7_4.x86_64                                                                                                                                              47/680
  Updating   : binutils-2.25.1-32.base.el7_4.1.x86_64                                                                                                                                 48/680
  Updating   : libgomp-4.8.5-16.el7.x86_64                                                                                                                                            49/680
  Updating   : libXi-1.7.9-1.el7.x86_64                                                                                                                                               50/680
  Updating   : libXpm-3.5.12-1.el7.x86_64                                                                                                                                             51/680
  Updating   : libXfixes-5.0.3-1.el7.x86_64                                                                                                                                           52/680
  Updating   : libldb-1.1.29-1.el7.x86_64                                                                                                                                             53/680
  Updating   : libmount-2.23.2-43.el7.x86_64                                                                                                                                          54/680
  Updating   : glib2-2.50.3-3.el7.x86_64                                                                                                                                              55/680
  Updating   : shared-mime-info-1.8-3.el7.x86_64                                                                                                                                      56/680
  Updating   : libcroco-0.6.11-1.el7.x86_64                                                                                                                                           57/680
  Updating   : libsemanage-2.5-8.el7.x86_64                                                                                                                                           58/680
  Updating   : nss-softokn-3.28.3-8.el7_4.x86_64                                                                                                                                      59/680
  Installing : nss-pem-1.0.3-4.el7.x86_64                                                                                                                                             60/680
  Updating   : nss-3.28.4-12.el7_4.x86_64                                                                                                                                             61/680
  Updating   : nss-sysinit-3.28.4-12.el7_4.x86_64                                                                                                                                     62/680
  Updating   : cyrus-sasl-lib-2.1.26-21.el7.x86_64                                                                                                                                    63/680
  Updating   : gzip-1.5-9.el7.x86_64                                                                                                                                                  64/680
  Updating   : libquadmath-4.8.5-16.el7.x86_64                                                                                                                                        65/680
  Updating   : libICE-1.0.9-9.el7.x86_64                                                                                                                                              66/680
  Updating   : libXt-1.1.5-3.el7.x86_64                                                                                                                                               67/680
  Updating   : http-parser-2.7.1-5.el7_4.x86_64                                                                                                                                       68/680
  Updating   : p11-kit-0.23.5-3.el7.x86_64                                                                                                                                            69/680
  Updating   : gettext-libs-0.19.8.1-2.el7.x86_64                                                                                                                                     70/680
  Updating   : e2fsprogs-libs-1.42.9-10.el7.x86_64                                                                                                                                    71/680
  Updating   : 2:tar-1.26-32.el7.x86_64                                                                                                                                               72/680
  Updating   : logrotate-3.8.6-14.el7.x86_64                                                                                                                                          73/680
  Updating   : mesa-libglapi-17.0.1-6.20170307.el7.x86_64                                                                                                                             74/680
  Updating   : boost-system-1.53.0-27.el7.x86_64                                                                                                                                      75/680
  Updating   : libnl3-3.2.28-4.el7.x86_64                                                                                                                                             76/680
  Updating   : 4:perl-libs-5.16.3-292.el7.x86_64                                                                                                                                      77/680
  Updating   : 4:perl-macros-5.16.3-292.el7.x86_64                                                                                                                                    78/680
  Updating   : 4:perl-5.16.3-292.el7.x86_64                                                                                                                                           79/680
  Updating   : iptables-1.4.21-18.0.1.el7.centos.x86_64                                                                                                                               80/680
  Updating   : iproute-3.10.0-87.el7.x86_64                                                                                                                                           81/680
  Updating   : libtasn1-4.10-1.el7.x86_64                                                                                                                                             82/680
  Updating   : p11-kit-trust-0.23.5-3.el7.x86_64                                                                                                                                      83/680
  Updating   : ca-certificates-2017.2.14-71.el7.noarch                                                                                                                                84/680
  Updating   : 1:openssl-libs-1.0.2k-8.el7.x86_64                                                                                                                                     85/680
  Updating   : krb5-libs-1.15.1-8.el7.x86_64                                                                                                                                          86/680
  Updating   : python-libs-2.7.5-58.el7.x86_64                                                                                                                                        87/680
  Updating   : python-2.7.5-58.el7.x86_64                                                                                                                                             88/680
  Updating   : ruby-libs-2.0.0.648-30.el7.x86_64                                                                                                                                      89/680
  Updating   : gettext-0.19.8.1-2.el7.x86_64                                                                                                                                          90/680
  Updating   : rubygem-psych-2.0.0-30.el7.x86_64                                                                                                                                      91/680
  Updating   : rubygem-io-console-0.4.2-30.el7.x86_64                                                                                                                                 92/680
  Updating   : rubygem-json-1.7.7-30.el7.x86_64                                                                                                                                       93/680
  Updating   : rubygems-2.0.14.1-30.el7.noarch                                                                                                                                        94/680
  Updating   : rubygem-bigdecimal-1.2.0-30.el7.x86_64                                                                                                                                 95/680
  Updating   : ruby-2.0.0.648-30.el7.x86_64                                                                                                                                           96/680
  Updating   : ruby-irb-2.0.0.648-30.el7.noarch                                                                                                                                       97/680
  Updating   : rubygem-rdoc-4.0.0-30.el7.noarch                                                                                                                                       98/680
  Updating   : 1:openssl-1.0.2k-8.el7.x86_64                                                                                                                                          99/680
  Updating   : 1:cups-libs-1.6.3-29.el7.x86_64                                                                                                                                       100/680
  Updating   : 32:bind-libs-9.9.4-51.el7.x86_64                                                                                                                                      101/680
  Updating   : mailx-12.5-16.el7.x86_64                                                                                                                                              102/680
  Updating   : 1:npm-3.10.10-1.6.11.3.1.el7.x86_64                                                                                                                                   103/680
  Updating   : 1:nodejs-6.11.3-1.el7.x86_64                                                                                                                                          104/680
  Updating   : ghostscript-9.07-28.el7_4.2.x86_64                                                                                                                                    105/680
  Updating   : python-perf-3.10.0-693.2.2.el7.x86_64                                                                                                                                 106/680
  Updating   : pytalloc-2.1.9-1.el7.x86_64                                                                                                                                           107/680
  Updating   : libsemanage-python-2.5-8.el7.x86_64                                                                                                                                   108/680
  Updating   : audit-libs-python-2.7.6-3.el7.x86_64                                                                                                                                  109/680
  Updating   : pytz-2016.10-2.el7.noarch                                                                                                                                             110/680
  Updating   : systemtap-sdt-devel-3.1-3.el7.x86_64                                                                                                                                  111/680
  Updating   : libselinux-python-2.5-11.el7.x86_64                                                                                                                                   112/680
  Updating   : python-idna-2.4-1.el7.noarch                                                                                                                                          113/680
  Updating   : python2-cryptography-1.7.2-1.el7.x86_64                                                                                                                               114/680
  Updating   : python2-acme-0.18.1-2.el7.noarch                                                                                                                                      115/680
  Updating   : python2-certbot-0.18.1-1.el7.noarch                                                                                                                                   116/680
  Installing : python-linux-procfs-0.4.9-3.el7.noarch                                                                                                                                117/680
  Installing : python-schedutils-0.4-6.el7.x86_64                                                                                                                                    118/680
  Updating   : gdb-7.6.1-100.el7.x86_64                                                                                                                                              119/680
  Updating   : 32:bind-libs-lite-9.9.4-51.el7.x86_64                                                                                                                                 120/680
  Updating   : libkadm5-1.15.1-8.el7.x86_64                                                                                                                                          121/680
  Updating   : fipscheck-lib-1.4.1-6.el7.x86_64                                                                                                                                      122/680
  Updating   : fipscheck-1.4.1-6.el7.x86_64                                                                                                                                          123/680
  Updating   : perl-Net-SSLeay-1.55-6.el7.x86_64                                                                                                                                     124/680
  Updating   : wget-1.14-15.el7.x86_64                                                                                                                                               125/680
  Updating   : httpd-tools-2.4.6-67.el7.centos.5.x86_64                                                                                                                              126/680
  Installing : kernel-devel-3.10.0-693.2.2.el7.x86_64                                                                                                                                127/680
  Updating   : libnl3-cli-3.2.28-4.el7.x86_64                                                                                                                                        128/680
  Updating   : boost-thread-1.53.0-27.el7.x86_64                                                                                                                                     129/680
  Updating   : http-parser-devel-2.7.1-5.el7_4.x86_64                                                                                                                                130/680
  Updating   : libgfortran-4.8.5-16.el7.x86_64                                                                                                                                       131/680
  Updating   : subversion-libs-1.7.14-11.el7_4.x86_64                                                                                                                                132/680
  Updating   : nss-tools-3.28.4-12.el7_4.x86_64                                                                                                                                      133/680
  Updating   : libgnome-keyring-3.12.0-1.el7.x86_64                                                                                                                                  134/680
  Updating   : gobject-introspection-1.50.0-1.el7.x86_64                                                                                                                             135/680
  Installing : python-gobject-base-3.22.0-1.el7.x86_64                                                                                                                               136/680
  Updating   : atk-2.22.0-3.el7.x86_64                                                                                                                                               137/680
  Updating   : harfbuzz-1.3.2-1.el7.x86_64                                                                                                                                           138/680
  Updating   : libXcursor-1.1.14-8.el7.x86_64                                                                                                                                        139/680
  Updating   : libXtst-1.2.3-1.el7.x86_64                                                                                                                                            140/680
  Updating   : libXrandr-1.5.1-2.el7.x86_64                                                                                                                                          141/680
  Updating   : libXxf86vm-1.1.4-1.el7.x86_64                                                                                                                                         142/680
  Updating   : libxcb-devel-1.12-1.el7.x86_64                                                                                                                                        143/680
  Updating   : libX11-devel-1.6.5-1.el7.x86_64                                                                                                                                       144/680
  Updating   : cpp-4.8.5-16.el7.x86_64                                                                                                                                               145/680
  Updating   : grubby-8.28-23.el7.x86_64                                                                                                                                             146/680
  Updating   : freetype-devel-2.4.11-15.el7.x86_64                                                                                                                                   147/680
  Updating   : libdb-utils-5.3.21-20.el7.x86_64                                                                                                                                      148/680
  Updating   : libcurl-7.29.0-42.el7.x86_64                                                                                                                                          149/680
  Updating   : curl-7.29.0-42.el7.x86_64                                                                                                                                             150/680
  Updating   : rpm-libs-4.11.3-25.el7.x86_64                                                                                                                                         151/680
  Updating   : rpm-4.11.3-25.el7.x86_64                                                                                                                                              152/680
  Updating   : openldap-2.4.44-5.el7.x86_64                                                                                                                                          153/680
  Updating   : php-json-7.1.10-1.el7.remi.x86_64                                                                                                                                     154/680
  Updating   : php-common-7.1.10-1.el7.remi.x86_64                                                                                                                                   155/680
  Updating   : rpm-build-libs-4.11.3-25.el7.x86_64                                                                                                                                   156/680
  Updating   : rpm-python-4.11.3-25.el7.x86_64                                                                                                                                       157/680
  Updating   : yum-plugin-fastestmirror-1.1.31-42.el7.noarch                                                                                                                         158/680
  Updating   : yum-3.4.3-154.el7.centos.noarch                                                                                                                                       159/680
  Updating   : php-pdo-7.1.10-1.el7.remi.x86_64                                                                                                                                      160/680
  Updating   : php-cli-7.1.10-1.el7.remi.x86_64                                                                                                                                      161/680
  Updating   : redhat-rpm-config-9.1.0-76.el7.centos.noarch                                                                                                                          162/680
  Updating   : libdb-devel-5.3.21-20.el7.x86_64                                                                                                                                      163/680
  Updating   : libss-1.42.9-10.el7.x86_64                                                                                                                                            164/680
  Updating   : e2fsprogs-1.42.9-10.el7.x86_64                                                                                                                                        165/680
  Updating   : libcom_err-devel-1.42.9-10.el7.x86_64                                                                                                                                 166/680
  Updating   : libselinux-utils-2.5-11.el7.x86_64                                                                                                                                    167/680
  Updating   : 2:vim-minimal-7.4.160-2.el7.x86_64                                                                                                                                    168/680
  Updating   : pcre-devel-8.32-17.el7.x86_64                                                                                                                                         169/680
  Updating   : libselinux-devel-2.5-11.el7.x86_64                                                                                                                                    170/680
  Updating   : krb5-devel-1.15.1-8.el7.x86_64                                                                                                                                        171/680
  Updating   : 1:openssl-devel-1.0.2k-8.el7.x86_64                                                                                                                                   172/680
  Updating   : libstdc++-devel-4.8.5-16.el7.x86_64                                                                                                                                   173/680
  Updating   : device-mapper-persistent-data-0.7.0-0.1.rc6.el7.x86_64                                                                                                                174/680
  Installing : boost-date-time-1.53.0-27.el7.x86_64                                                                                                                                  175/680
  Updating   : dyninst-9.3.1-1.el7.x86_64                                                                                                                                            176/680
  Updating   : systemtap-runtime-3.1-3.el7.x86_64                                                                                                                                    177/680
  Updating   : kmod-libs-20-15.el7_4.2.x86_64                                                                                                                                        178/680
  Updating   : alsa-lib-1.1.3-3.el7.x86_64                                                                                                                                           179/680
  Updating   : libwebp-0.3.0-7.el7.x86_64                                                                                                                                            180/680
  Installing : efivar-libs-31-4.el7.x86_64                                                                                                                                           181/680
  Updating   : mokutil-12-1.el7.centos.x86_64                                                                                                                                        182/680
  Updating   : 14:libpcap-1.5.3-9.el7.x86_64                                                                                                                                         183/680
  Updating   : 2:vim-common-7.4.160-2.el7.x86_64                                                                                                                                     184/680
  Updating   : 1:dmidecode-3.0-5.el7.x86_64                                                                                                                                          185/680
  Updating   : jasper-libs-1.900.1-31.el7.x86_64                                                                                                                                     186/680
  Updating   : gdk-pixbuf2-2.36.5-1.el7.x86_64                                                                                                                                       187/680
  Installing : gtk-update-icon-cache-3.22.10-4.el7.x86_64                                                                                                                            188/680
  Installing : libfastjson-0.99.4-2.el7.x86_64                                                                                                                                       189/680
  Updating   : glibc-headers-2.17-196.el7.x86_64                                                                                                                                     190/680
  Updating   : glibc-devel-2.17-196.el7.x86_64                                                                                                                                       191/680
  Updating   : gcc-4.8.5-16.el7.x86_64                                                                                                                                               192/680
  Updating   : perl-ExtUtils-Install-1.58-292.el7.noarch                                                                                                                             193/680
  Updating   : 1:perl-ExtUtils-ParseXS-3.18-3.el7.noarch                                                                                                                             194/680
  Updating   : 4:perl-devel-5.16.3-292.el7.x86_64                                                                                                                                    195/680
  Updating   : libquadmath-devel-4.8.5-16.el7.x86_64                                                                                                                                 196/680
  Updating   : 2:ethtool-4.8-1.el7.x86_64                                                                                                                                            197/680
  Updating   : libfontenc-1.1.3-3.el7.x86_64                                                                                                                                         198/680
  Installing : elfutils-default-yama-scope-0.168-8.el7.noarch                                                                                                                        199/680
  Updating   : elfutils-libs-0.168-8.el7.x86_64                                                                                                                                      200/680
  Updating   : systemd-libs-219-42.el7_4.1.x86_64                                                                                                                                    201/680
  Updating   : util-linux-2.23.2-43.el7.x86_64                                                                                                                                       202/680
  Updating   : policycoreutils-2.5-17.1.el7.x86_64                                                                                                                                   203/680
  Updating   : procps-ng-3.3.10-16.el7.x86_64                                                                                                                                        204/680
  Updating   : kpartx-0.4.9-111.el7.x86_64                                                                                                                                           205/680
  Updating   : cryptsetup-libs-1.7.4-3.el7.x86_64                                                                                                                                    206/680
  Updating   : 7:device-mapper-libs-1.02.140-8.el7.x86_64                                                                                                                            207/680
  Updating   : 7:device-mapper-1.02.140-8.el7.x86_64                                                                                                                                 208/680
  Updating   : kmod-20-15.el7_4.2.x86_64                                                                                                                                             209/680
  Updating   : systemd-219-42.el7_4.1.x86_64                                                                                                                                         210/680
  Updating   : dracut-033-502.el7.x86_64                                                                                                                                             211/680
  Updating   : systemd-sysv-219-42.el7_4.1.x86_64                                                                                                                                    212/680
  Updating   : samba-common-4.6.2-11.el7_4.noarch                                                                                                                                    213/680
  Updating   : libwbclient-4.6.2-11.el7_4.x86_64                                                                                                                                     214/680
  Updating   : samba-client-libs-4.6.2-11.el7_4.x86_64                                                                                                                               215/680
  Updating   : libdrm-2.4.74-1.el7.x86_64                                                                                                                                            216/680
  Installing : 1:grub2-tools-minimal-2.02-0.64.el7.centos.x86_64                                                                                                                     217/680
  Updating   : 7:device-mapper-event-libs-1.02.140-8.el7.x86_64                                                                                                                      218/680
  Installing : 1:grub2-tools-extra-2.02-0.64.el7.centos.x86_64                                                                                                                       219/680
  Updating   : samba-common-libs-4.6.2-11.el7_4.x86_64                                                                                                                               220/680
  Installing : 1:grub2-tools-2.02-0.64.el7.centos.x86_64                                                                                                                             221/680
  Updating   : iputils-20160308-10.el7.x86_64                                                                                                                                        222/680
  Updating   : initscripts-9.49.39-1.el7.x86_64                                                                                                                                      223/680
  Updating   : cronie-anacron-1.4.11-17.el7.x86_64                                                                                                                                   224/680
  Updating   : cronie-1.4.11-17.el7.x86_64                                                                                                                                           225/680
  Updating   : openssh-7.4p1-12.el7_4.x86_64                                                                                                                                         226/680
  Updating   : openssh-clients-7.4p1-12.el7_4.x86_64                                                                                                                                 227/680
warning: /etc/ssh/ssh_config created as /etc/ssh/ssh_config.rpmnew
  Updating   : 12:dhcp-libs-4.2.5-58.el7.centos.x86_64                                                                                                                               228/680
  Updating   : systemtap-devel-3.1-3.el7.x86_64                                                                                                                                      229/680
  Updating   : systemtap-client-3.1-3.el7.x86_64                                                                                                                                     230/680
  Updating   : 12:dhcp-common-4.2.5-58.el7.centos.x86_64                                                                                                                             231/680
  Installing : 1:grub2-pc-2.02-0.64.el7.centos.x86_64                                                                                                                                232/680
  Updating   : 7:device-mapper-event-1.02.140-8.el7.x86_64                                                                                                                           233/680
  Updating   : 7:lvm2-libs-2.02.171-8.el7.x86_64                                                                                                                                     234/680
  Updating   : mesa-libGL-17.0.1-6.20170307.el7.x86_64                                                                                                                               235/680
  Updating   : mesa-libgbm-17.0.1-6.20170307.el7.x86_64                                                                                                                              236/680
  Updating   : mesa-libEGL-17.0.1-6.20170307.el7.x86_64                                                                                                                              237/680
  Updating   : cairo-1.14.8-2.el7.x86_64                                                                                                                                             238/680
  Updating   : pango-1.40.4-1.el7.x86_64                                                                                                                                             239/680
  Updating   : librsvg2-2.40.16-1.el7.x86_64                                                                                                                                         240/680
  Updating   : samba-libs-4.6.2-11.el7_4.x86_64                                                                                                                                      241/680
  Updating   : libsmbclient-4.6.2-11.el7_4.x86_64                                                                                                                                    242/680
  Updating   : libcgroup-0.41-13.el7.x86_64                                                                                                                                          243/680
  Updating   : policycoreutils-python-2.5-17.1.el7.x86_64                                                                                                                            244/680
  Updating   : httpd-2.4.6-67.el7.centos.5.x86_64                                                                                                                                    245/680
  Updating   : rsync-3.0.9-18.el7.x86_64                                                                                                                                             246/680
  Updating   : perl-Git-1.8.3.1-12.el7_4.noarch                                                                                                                                      247/680
  Updating   : git-1.8.3.1-12.el7_4.x86_64                                                                                                                                           248/680
  Updating   : gettext-devel-0.19.8.1-2.el7.x86_64                                                                                                                                   249/680
  Updating   : trousers-0.3.14-2.el7.x86_64                                                                                                                                          250/680
  Updating   : selinux-policy-3.13.1-166.el7_4.4.noarch                                                                                                                              251/680
  Updating   : virt-what-1.13-10.el7.x86_64                                                                                                                                          252/680
  Updating   : python-pyudev-0.15-9.el7.noarch                                                                                                                                       253/680
  Updating   : elfutils-0.168-8.el7.x86_64                                                                                                                                           254/680
  Updating   : copy-jdk-configs-2.2-3.el7.noarch                                                                                                                                     255/680
  Updating   : 1:java-1.8.0-openjdk-headless-1.8.0.144-0.b01.el7_4.x86_64                                                                                                            256/680
warning: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.144-0.b01.el7_4.x86_64/jre/lib/security/nss.cfg created as /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.144-0.b01.el7_4.x86_64/jre/lib/security/nss.cfg.rpmnew
restored /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.144-0.b01.el7_4.x86_64/jre/lib/security/nss.cfg.rpmnew to /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.144-0.b01.el7_4.x86_64/jre/lib/security/nss.cfg
  Updating   : kbd-misc-1.15.5-13.el7.noarch                                                                                                                                         257/680
  Updating   : kbd-1.15.5-13.el7.x86_64                                                                                                                                              258/680
  Updating   : 1:java-1.8.0-openjdk-1.8.0.144-0.b01.el7_4.x86_64                                                                                                                     259/680
  Updating   : rpm-build-4.11.3-25.el7.x86_64                                                                                                                                        260/680
  Updating   : tuned-2.8.0-5.el7.noarch                                                                                                                                              261/680
  Updating   : selinux-policy-targeted-3.13.1-166.el7_4.4.noarch                                                                                                                     262/680
  Updating   : gnutls-3.3.26-9.el7.x86_64                                                                                                                                            263/680
  Updating   : intltool-0.50.2-7.el7.noarch                                                                                                                                          264/680
  Updating   : php-7.1.10-1.el7.remi.x86_64                                                                                                                                          265/680
  Updating   : certbot-0.18.1-1.el7.noarch                                                                                                                                           266/680
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
SELinux:  Could not downgrade policy file /etc/selinux/targeted/policy/policy.30, searching for an older version.
SELinux:  Could not open policy file <= /etc/selinux/targeted/policy/policy.30:  No such file or directory
/sbin/load_policy:  Can't load policy:  No such file or directory
libsemanage.semanage_reload_policy: load_policy returned error code 2. (No such file or directory).
OSError: No such file or directory
  Updating   : samba-client-4.6.2-11.el7_4.x86_64                                                                                                                                    267/680
  Updating   : samba-common-tools-4.6.2-11.el7_4.x86_64                                                                                                                              268/680
  Updating   : ImageMagick6-libs-6.9.9.19-1.el7.remi.x86_64                                                                                                                          269/680
  Updating   : gtk2-2.24.31-1.el7.x86_64                                                                                                                                             270/680
  Updating   : 7:lvm2-2.02.171-8.el7.x86_64                                                                                                                                          271/680
  Installing : 1:grub2-2.02-0.64.el7.centos.x86_64                                                                                                                                   272/680
  Updating   : 12:dhclient-4.2.5-58.el7.centos.x86_64                                                                                                                                273/680
  Updating   : systemtap-3.1-3.el7.x86_64                                                                                                                                            274/680
  Updating   : openssh-server-7.4p1-12.el7_4.x86_64                                                                                                                                  275/680
warning: /etc/ssh/sshd_config created as /etc/ssh/sshd_config.rpmnew
  Updating   : sysstat-10.1.5-12.el7.x86_64                                                                                                                                          276/680
  Installing : kernel-3.10.0-693.2.2.el7.x86_64                                                                                                                                      277/680
  Installing : 1:grub2-efi-x64-2.02-0.64.el7.centos.x86_64                                                                                                                           278/680
  Updating   : php-fpm-7.1.10-1.el7.remi.x86_64                                                                                                                                      279/680
  Updating   : subversion-1.7.14-11.el7_4.x86_64                                                                                                                                     280/680
  Updating   : dnsmasq-2.76-2.el7_4.2.x86_64                                                                                                                                         281/680
  Updating   : audit-2.7.6-3.el7.x86_64                                                                                                                                              282/680
  Updating   : net-tools-2.0-0.22.20131004git.el7.x86_64                                                                                                                             283/680
  Updating   : rsyslog-8.24.0-12.el7.x86_64                                                                                                                                          284/680
  Updating   : 3:irqbalance-1.0.7-10.el7.x86_64                                                                                                                                      285/680
  Updating   : hwdata-0.252-8.6.el7.x86_64                                                                                                                                           286/680
  Updating   : iptables-services-1.4.21-18.0.1.el7.centos.x86_64                                                                                                                     287/680
  Updating   : 2:microcode_ctl-2.1-22.el7.x86_64                                                                                                                                     288/680

Connection closed by foreign host.


Had to do hard reboot.

After the reboot yum check found a lot of duplicates, e.g. "audit-libs-2.6.5-3.el7_3.1.x86_64 is a duplicate with audit-libs-2.6.5-3.el7.x86_64".

I've used "package-cleanup --dupes" to list them and executed "rpm -e --nodeps --justdb $newerpackage" for each package, except for microcode_ctl-2.1-22.el7.x86_64. yum update finished just fine this time.

The only package left was microcode_ctl-2.1-22.el7.x86_64. I've executed "rpm -e --nodeps --justdb microcode_ctl-2.1-22.el7.x86_64", then "yum update" and the server crashed again.

Now it won't boot using any available kernel.

When booting using 3.10.0-514.26.2.el7-x86_64 is halts during the boot:
3.10.0-514.26.2.el7-x86_64.jpg
3.10.0-514.26.2.el7-x86_64.jpg (176.2 KiB) Viewed 362 times


When booting using 3.10.0-693.2.2.el7.x86_64 the kernel crashes:
3.10.0-693.2.2.el7.x86_64.jpg
3.10.0-693.2.2.el7.x86_64.jpg (136.97 KiB) Viewed 362 times


Managed to boot the server using Netboot and kernel 3.14.32-xxxx-grs-ipv6-64.

yum check displays the following:

Code: Select all

Loaded plugins: auto-update-debuginfo, fastestmirror
1:grub2-2.02-0.64.el7.centos.x86_64 is obsoleted by 1:grub2-2.02-0.64.el7.centos.x86_64
2:microcode_ctl-2.1-22.el7.x86_64 is a duplicate with 2:microcode_ctl-2.1-16.3.el7_3.x86_64
Error: check all


Chipset:

Code: Select all

Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                8
On-line CPU(s) list:   0-7
Thread(s) per core:    2
Core(s) per socket:    4
Socket(s):             1
NUMA node(s):          1
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 86
Model name:            Intel(R) Xeon(R) CPU D-1521 @ 2.40GHz
Stepping:              3
CPU MHz:               2293.125
CPU max MHz:           2700.0000
CPU min MHz:           800.0000
BogoMIPS:              4799.90
Virtualization:        VT-x
L1d cache:             32K
L1i cache:             32K
L2 cache:              256K
L3 cache:              6144K
NUMA node0 CPU(s):     0-7
Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 fma cx16 xtpr pdcm pcid dca sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm rdseed adx smap


Please advise.

Many thanks,
John

User avatar
TrevorH
Forum Moderator
Posts: 20962
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Crash during upgrade to CentOS 7.4

Postby TrevorH » 2017/10/16 09:38:20

That crash screen is the one you get when there is no initrd line in /boot/grub2/grub.cfg for the kernel you selected. Pick a different kernel and then yum reinstall the one with the missing initrd line.

I'd add exclude=microcode_ctl to /etc/yum.conf for now. Sounds like you have a processor that it ought not to run on and that doesn't match the exclude pattern in the pre script.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

johnas
Posts: 5
Joined: 2017/10/16 09:05:27

Re: Crash during upgrade to CentOS 7.4

Postby johnas » 2017/10/16 10:08:24

Many thanks for your prompt reply Trevor!

I've tried the following, but got "grubby fatal error: unable to find a suitable template" error:

Code: Select all

# yum list installed | grep kernel
kernel.x86_64                        3.10.0-514.6.1.el7         @updates       
kernel.x86_64                        3.10.0-514.10.2.el7        @updates       
kernel.x86_64                        3.10.0-514.16.1.el7        @updates       
kernel.x86_64                        3.10.0-514.21.1.el7        @updates       
kernel.x86_64                        3.10.0-514.26.2.el7        @updates       
kernel.x86_64                        3.10.0-693.2.2.el7         installed       
kernel-devel.x86_64                  3.10.0-514.6.1.el7         @updates       
kernel-devel.x86_64                  3.10.0-514.10.2.el7        @updates       
kernel-devel.x86_64                  3.10.0-514.16.1.el7        @updates       
kernel-devel.x86_64                  3.10.0-514.21.1.el7        @updates       
kernel-devel.x86_64                  3.10.0-514.26.2.el7        @updates       
kernel-devel.x86_64                  3.10.0-693.2.2.el7         installed       
kernel-headers.x86_64                3.10.0-693.2.2.el7         @updates       


Code: Select all

# yum reinstall kernel-3.10.0-693.2.2.el7.x86_64 kernel-devel-3.10.0-693.2.2.el7.x86_64 kernel-headers-3.10.0-693.2.2.el7.x86_64
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:3.10.0-693.2.2.el7 will be installed
---> Package kernel-devel.x86_64 0:3.10.0-693.2.2.el7 will be installed
---> Package kernel-headers.x86_64 0:3.10.0-693.2.2.el7 will be reinstalled
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================
 Package                                         Arch                                    Version                                              Repository                                Size
=============================================================================================================================================================================================
Reinstalling:
 kernel                                          x86_64                                  3.10.0-693.2.2.el7                                   updates                                   43 M
 kernel-devel                                    x86_64                                  3.10.0-693.2.2.el7                                   updates                                   14 M
 kernel-headers                                  x86_64                                  3.10.0-693.2.2.el7                                   updates                                  6.0 M

Transaction Summary
=============================================================================================================================================================================================
Reinstall  3 Packages

Total download size: 63 M
Installed size: 98 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/3): kernel-devel-3.10.0-693.2.2.el7.x86_64.rpm                                                                                                                     |  14 MB  00:00:00     
(2/3): kernel-3.10.0-693.2.2.el7.x86_64.rpm                                                                                                                           |  43 MB  00:00:01     
(3/3): kernel-headers-3.10.0-693.2.2.el7.x86_64.rpm                                                                                                                   | 6.0 MB  00:00:02     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                         29 MB/s |  63 MB  00:00:02     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Warning: RPMDB altered outside of yum.
  Installing : kernel-devel-3.10.0-693.2.2.el7.x86_64                                                                                                                                    1/3
  Installing : kernel-3.10.0-693.2.2.el7.x86_64                                                                                                                                          2/3
grubby fatal error: unable to find a suitable template
  Installing : kernel-headers-3.10.0-693.2.2.el7.x86_64                                                                                                                                  3/3
/sbin/dracut: line 1143: /proc/modules: No such file or directory
Error! Bad return status for module build on kernel: 3.10.0-693.2.2.el7.x86_64 (x86_64)
Consult /var/lib/dkms/ixgbe/5.0.4/build/make.log for more information.
  Verifying  : kernel-headers-3.10.0-693.2.2.el7.x86_64                                                                                                                                  1/3
  Verifying  : kernel-3.10.0-693.2.2.el7.x86_64                                                                                                                                          2/3
  Verifying  : kernel-devel-3.10.0-693.2.2.el7.x86_64                                                                                                                                    3/3

Installed:
  kernel.x86_64 0:3.10.0-693.2.2.el7                        kernel-devel.x86_64 0:3.10.0-693.2.2.el7                        kernel-headers.x86_64 0:3.10.0-693.2.2.el7                       

Complete!

User avatar
TrevorH
Forum Moderator
Posts: 20962
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Crash during upgrade to CentOS 7.4

Postby TrevorH » 2017/10/16 10:20:24

I've tried the following, but got "grubby fatal error: unable to find a suitable template" error:


Sounds like you have no /boot/grub2/grub.cfg any more. Check for backup copies.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

johnas
Posts: 5
Joined: 2017/10/16 09:05:27

Re: Crash during upgrade to CentOS 7.4

Postby johnas » 2017/10/16 11:33:49

/boot/grub2/grub.cfg exists, but found that it is damaged, some text is missing at the end.

I copied it from backup, but yum reinstall kernel reports the same thing.

Should I copy from backup the whole /boot or some part of /etc?

User avatar
TrevorH
Forum Moderator
Posts: 20962
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Crash during upgrade to CentOS 7.4

Postby TrevorH » 2017/10/16 11:57:36

Is /etc/grub2.cfg a symlink to the copy in /boot? It should be.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

johnas
Posts: 5
Joined: 2017/10/16 09:05:27

Re: Crash during upgrade to CentOS 7.4

Postby johnas » 2017/10/16 12:10:13

It is:

Code: Select all

lrwxrwxrwx   1 root root      22 Oct 15 08:22 grub2.cfg -> ../boot/grub2/grub.cfg

/var/log/grubby reports:

Code: Select all

DBG: Image entry failed: uuid missing: rootdev (null), dev 67289254-847b-4654-804d-6c3a644b56d0
DBG: menuentry 'CentOS Linux (3.10.0-693.2.2.el7.x86_64) 7 (Core)' --class centos --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-3.10.0-693.2.2.el7.x86_64-advanced-67289254-847b-4654-804d-6c3a644b56d0' {
DBG:    load_video
DBG:    set gfxpayload=keep
DBG:    insmod gzio
DBG:    insmod part_gpt
DBG:    insmod part_gpt
DBG:    insmod diskfilter
DBG:    insmod mdraid09
DBG:    insmod ext2
DBG:    set root='mduuid/735c40f60ef29a9aa4d2adc226fd5302'
DBG:    if [ x$feature_platform_search_hint = xy ]; then
DBG:      search --no-floppy --fs-uuid --set=root --hint='mduuid/735c40f60ef29a9aa4d2adc226fd5302'  235c8f4d-ecbf-41ea-8ba7-2989921e01cd
DBG:    else
DBG:      search --no-floppy --fs-uuid --set=root 235c8f4d-ecbf-41ea-8ba7-2989921e01cd
DBG:    fi
DBG:    linux16 /vmlinuz-3.10.0-693.2.2.el7.x86_64 root=/dev/md3 ro net.ifnames=0 rd.auto=1
DBG:    initrd16 /initramfs-3.10.0-693.2.2.el7.x86_64.img
DBG: }

johnas
Posts: 5
Joined: 2017/10/16 09:05:27

Re: Crash during upgrade to CentOS 7.4

Postby johnas » 2017/10/17 08:05:38

Here is the update... Found that kernel re-installation didn't work because OVH custom kernel was running.

I've recreated damaged grub.cfg using grub2-mkconfig -o /boot/grub2/grub.cfg, then booted using kernel before CentOS upgrade (3.10.0-514.21.1.el7.x86_64). That way managed to reinstall the latest kernel successfully.

But after reboot and choosing the latest 3.10.0-693.2.2.el7.x86_64 it was stuck:

Code: Select all

Probing EDD (edd=off to disable)... ok


I've managed to boot it by pressing [Tab] in the bootloader and adding intel_pstate=no_hwp line (ref: https://unix.stackexchange.com/question ... ring-boot/)

Wondering how to permanently fix this? Should I add "intel_pstate=no_hwp" or "edd=off" or something else to GRUB_CMDLINE_LINUX in /etc/default/grub?

Many thanks in advance.